#!/bin/bash
#
# Make the ROS commands available
# NOTE: these paths should NOT use ~
source /opt/ros/melodic/setup.bash
source /home/www-share/dfall/dfall-system/dfall_ws/devel/setup.bash
source /home/www-share/dfall/dfall-system/dfall_ws/src/dfall_pkg/launch/Config.sh
#
# Set the ROS log location
export ROS_LOG_DIR=/var/www/html/.ros/log
#
# Mount the dfall workspace folder
#sudo mount --bind /home/pbeuchat/gitrep/dfall/dfall-system/dfall_ws /var/www/html/dfall_ws
#
# Check that the ROS Master exists
# > Note: the -q options converts the
#   grep output to a true/false
if rosnode list | grep -q /rosout; then
    # Check that if the agent is already
    # launched
    if rosnode list | grep -q "$(printf "/dfall/agent%03d" $DFALL_DEFAULT_AGENT_ID)"; then
        echo "Agent $DFALL_DEFAULT_AGENT_ID is already running"
    else
        nohup roslaunch dfall_pkg agent.launch withGUI:=false emulateRadio:=true > /dev/null 2>&1 &
        echo "Agent $DFALL_DEFAULT_AGENT_ID successfully launched"
    fi
else
    echo "ROS Master not found"
fi
